<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::SubEntity Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#8e00545c24b8ca8674aeec00567ce4cd">_getBuffersMarkedForAnimation</a>(void) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#887198a3e8501f07a5b6dd086b5ba411">_getHardwareVertexAnimVertexData</a>(void)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#9213e1f430e42fb2bb0036aaf7b0e0ff">_getSkelAnimTempBufferInfo</a>(void)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#2f83c08c87cde1040e4cae80b366db17">_getSkelAnimVertexData</a>(void)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#ce215b4410fbe1f61cc5dddd16b1b640">_getSoftwareVertexAnimVertexData</a>(void)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#87ac0cef9d027c49ba2f2d55bdbb1af6">_getVertexAnimTempBufferInfo</a>(void)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#bed92cd6152d752dccb46b4ef7a2874f">_invalidateCameraCache</a>()</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#bfacde2f50e8517cf3c8b9a2936ca0a4">_markBuffersUnusedForAnimation</a>(void)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#28e52e17dfbd6b8136e567c4ce113a46">_markBuffersUsedForAnimation</a>(void)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#f3c5cfa9d26265b80850ef11fbcb9281">_restoreBuffersForUnusedAnimation</a>(bool hardwareAnimation)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#271214f0a12235cbd2ced91f9f2d28d3">_updateCustomGpuParameter</a>(const GpuProgramParameters::AutoConstantEntry &amp;constantEntry, GpuProgramParameters *params) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#3e944b6d42bc87a19c02f3cc6e677f26">CustomParameterMap</a> typedef</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#614439ccac0344926adc4c0165d64060">Entity</a> class</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#5ae272c24e46eee8264303694c861a7f">getCastsShadows</a>(void) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#1c122c0686168dac942700942bd9f8fc">getClipPlanes</a>() const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#7f5bd1dc9046cb31307ac53914c82fc9">getCustomParameter</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#fec0d041841e85ce49b515c22f34dc4a">getLights</a>(void) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#093781afef6332ef21fb05dd7818ecae">getMaterial</a>(void) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#80697bf815e1c89668ce771b30db0176">getMaterialName</a>() const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#66eec09c10be4c6b3d82f49bdcfc99f0">getNormaliseNormals</a>(void) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#487d0eb60081f28c8a347ac8d036a133">getNumWorldTransforms</a>(void) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#1b3670ec0b19ba7b876fb53634a666cf">getParent</a>(void) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#723105bef101e2385747f214348984b5">getPolygonModeOverrideable</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#816f4c356b83e1b4f9d6e3058d5ee9dd">getRenderOperation</a>(RenderOperation &amp;op)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#c01490b3b6d938bf20f7fd2c62fe7151">getSquaredViewDepth</a>(const Camera *cam) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#bc51afcecd7d01b4035af900988f7ccb">getSubMesh</a>(void)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a03a93d06b05ab2c0064ec41dcdd05e4">getTechnique</a>(void) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#2a8f061a5f322e0dae2fd6946fc2966f">getUseIdentityProjection</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#55df8c0a5347d589ee6ef7beaa38806e">getUseIdentityView</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#7f66badeb04042640ae9eafb6b248dc9">getVertexDataForBinding</a>(void)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#2c99512a0be70ddc3ad43966f6436340">getWorldOrientation</a>(void) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#d7de31c286451f72547990bc69f7377c">getWorldPosition</a>(void) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#5f07c8b73ea37bf109ed0d9eeacca843">getWorldTransforms</a>(Matrix4 *xform) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#69f02cb2a8ae663bcbbd5a608c7e01a5">isVisible</a>(void) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#0cafd29d50d9f2dd1cd7201f96b742b5">mCachedCamera</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#583d2a382488261388c88264cc5dd5eb">mCachedCameraDist</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#7b91506fcf7007e1bf512dade4682731">mCustomParameters</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#4527fcf72f8fd40d66c0eaf9b7aaf978">mHardwarePoseCount</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#dd80eca6e17aaafeff9a5a913f00e641">mHardwareVertexAnimVertexData</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#151ff07c40ae1063e1336b8637ca4bd2">mMaterialLodIndex</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#1414ab7a758f77b4c59d125f2e299125">mMaterialName</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a96672e40c650856388969f3f3e568a3">mParentEntity</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#1a0351b31d75bf5355e67c2b62f0ab8b">mpMaterial</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#4b7b701d41bfd85656829261cbcb3495">mPolygonModeOverrideable</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#fb8c005cd3df11a051304937ad322112">msDummyPlaneList</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#232dcbeb184aad2f6b415d7548c93d38">mSkelAnimVertexData</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#bbd853a7c3319feadedc09a3874fdf7e">mSoftwareVertexAnimVertexData</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#1576543e6cdc3cafb75b91f8035612ef">mSubMesh</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#4c17cfd5eae6cecf9d601e367efd34cc">mTempSkelAnimInfo</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#6191ebd40cd698d1bf68800c37a0aff4">mTempVertexAnimInfo</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#27ee15aed77a5bf84b2c3f80c060616e">mUseIdentityProjection</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#536d8ef571a7a177d94e8a6203bd0b35">mUseIdentityView</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#e4b715172cc5ab8c59a655ba3d8ce1b7">mVertexAnimationAppliedThisFrame</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#e873abec94f7c3de277486de75ff969a">mVisible</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#ad20e06a4d46cfd9f935f71184f88ba5">prepareTempBlendBuffers</a>(void)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#ed186856b59bf967f3188bfa70546957">Renderable</a>()</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#284464b0561a6f2915f04b0245b987f0">SceneManager</a> class</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#572c0331ef2ec650d56063fdc17435f5">setCustomParameter</a>(size_t index, const Vector4 &amp;value)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#c547815481284af3237ecf94ecc0a88d">setMaterialName</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#2108dfc322953a7bd429be8b62811e56">setPolygonModeOverrideable</a>(bool override)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#4136ce4b9d3add5203339327015d872d">setUseIdentityProjection</a>(bool useIdentityProjection)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#e53cff42a16304f582ef83ad3017d614">setUseIdentityView</a>(bool useIdentityView)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#126bc7db2fbed53d29831b78e2fab4aa">setVisible</a>(bool visible)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#b170b7ab04804116e1cf13163d5cb8c9">SubEntity</a>(Entity *parent, SubMesh *subMeshBasis)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#e5a6101851f1e45229f7b4bc20a69815">~Renderable</a>()</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#dadca3b165a3d94d4160b51ac1029fb8">~SubEntity</a>()</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected, virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:20 2008
</p>
</body>
</html>
